﻿using System;
using Wisej.Web;

namespace DockTwins
{
	public partial class MyDesktop : Desktop
	{
		public MyDesktop()
		{
			InitializeComponent();
		}

		public void DockWindows()
		{
			Call("dockWindows");
			_docked = true;
		}
		private bool _docked;

		private void MyDesktop_ItemClick(object sender, DesktopTaskBarItemClickEventArgs e)
		{
			if (e.Item == this.createWindow)
			{
				var form = new Form()
				{
					Text = $"Window #{Application.OpenForms.Count}"
				};
				form.Show();

				form.WindowStateChanged += (s, a) =>
				{
					if (this._docked)
						DockWindows();
				};
				form.FormClosed += (s, a) =>
				{
					if (this._docked)
						DockWindows();
				};

				if (this._docked)
					DockWindows();
			}
			else if (e.Item == this.dockWindows)
			{
				DockWindows();
			}
		}
	}
}